#include "mqtt_c.h"
#include "mqtt_common.h"
#include "environment.h"

esp_mqtt_client_handle_t mqtt_client_start_c(mqtt_event_callback_t mqtt_event_handler) {
    const esp_mqtt_client_config_t mqtt_cfg = {
        .host = MQTT_SERVER,
        .event_handle = mqtt_event_handler,
        .lwt_topic = STATUS_TOPIC,
        .lwt_msg = STATUS_MESSAGE_OFFLINE,
        .lwt_msg_len = strlen(STATUS_MESSAGE_OFFLINE),
        .lwt_qos = 0,
        .lwt_retain = 1,
        .keepalive = 60,
    };

    esp_mqtt_client_handle_t client = esp_mqtt_client_init(&mqtt_cfg);
    esp_mqtt_client_start(client);
    return client;
}
